Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-5551

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2012-5551
Last Modified 25 Feb 2013 11:52:02
Published 03 Dec 2012 04:55:02
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2012-5551

Summary

Multiple cross-site scripting (XSS) vulnerabilities in the MailChimp module 7.x-2.x before 7.x-2.7 for Drupal allow remote attackers to inject arbitrary web script or HTML via vectors related to (1) a predictable "webhook URL key" and (2) improper sanitization of "Webhook variables from POST requests."

Vulnerable Systems

Application

  • Thinkshout Mailchimp 7.x-2.0

  • Thinkshout Mailchimp 7.x-2.1

  • Thinkshout Mailchimp 7.x-2.2

  • Thinkshout Mailchimp 7.x-2.3

  • Thinkshout Mailchimp 7.x-2.4

  • Thinkshout Mailchimp 7.x-2.5

  • Thinkshout Mailchimp 7.x-2.6

  • Thinkshout Mailchimp 7.x-2.x


References

MLIST - [oss-security] 20121120 Re: CVE Request for Drupal Contributed Modules

MISC - http://drupal.org/node/1822166

CONFIRM - http://drupal.org/node/1821330

BID - 56234


Last Updated: 27 May 2016 11:01:26